Bug 1946276 (CVE-2021-21416) - CVE-2021-21416 python-django-registration: potential sensitive information disclosed in error reports
Summary: CVE-2021-21416 python-django-registration: potential sensitive information di...
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2021-21416
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1946277
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-04-05 16:34 UTC by Guilherme de Almeida Suckevicz
Modified: 2021-04-05 17:35 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-04-05 17:35:44 UTC


Attachments (Terms of Use)

Description Guilherme de Almeida Suckevicz 2021-04-05 16:34:43 UTC
django-registration is a user registration package for Django. The django-registration package provides tools for implementing user-account registration flows in the Django web framework. In django-registration prior to 3.1.2, the base user-account registration view did not properly apply filters to sensitive data, with the result that sensitive data could be included in error reports rather than removed automatically by Django. Triggering this requires: A site is using django-registration < 3.1.2, The site has detailed error reports (such as Django's emailed error reports to site staff/developers) enabled and a server-side error (HTTP 5xx) occurs during an attempt by a user to register an account. Under these conditions, recipients of the detailed error report will see all submitted data from the account-registration attempt, which may include the user's proposed credentials (such as a password).

Reference:
https://github.com/ubernostrum/django-registration/security/advisories/GHSA-58c7-px5v-82hh

Comment 1 Guilherme de Almeida Suckevicz 2021-04-05 16:34:56 UTC
Created python-django-registration tracking bugs for this issue:

Affects: fedora-all [bug 1946277]

Comment 2 Product Security DevOps Team 2021-04-05 17:35:44 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.